curl -X GET "https://api.affonso.io/v1/program/notifications" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "ns_abc123",
"email_type_id": "nt_welcome",
"is_active": true,
"custom_subject": "Welcome to our affiliate program!",
"custom_body": null,
"type": {
"name": "Welcome Email",
"description": "Sent when an affiliate is approved",
"icon": "mail",
"is_customizable": true,
"target_audience": "affiliate"
}
},
{
"id": null,
"email_type_id": "nt_payout",
"is_active": true,
"custom_subject": null,
"custom_body": null,
"type": {
"name": "Payout Notification",
"description": "Sent when a payout is processed",
"icon": "dollar-sign",
"is_customizable": true,
"target_audience": "affiliate"
}
}
]
}
Notifications
List Notification Settings
Get all notification types with your team-specific settings
GET
/
v1
/
program
/
notifications
curl -X GET "https://api.affonso.io/v1/program/notifications" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "ns_abc123",
"email_type_id": "nt_welcome",
"is_active": true,
"custom_subject": "Welcome to our affiliate program!",
"custom_body": null,
"type": {
"name": "Welcome Email",
"description": "Sent when an affiliate is approved",
"icon": "mail",
"is_customizable": true,
"target_audience": "affiliate"
}
},
{
"id": null,
"email_type_id": "nt_payout",
"is_active": true,
"custom_subject": null,
"custom_body": null,
"type": {
"name": "Payout Notification",
"description": "Sent when a payout is processed",
"icon": "dollar-sign",
"is_customizable": true,
"target_audience": "affiliate"
}
}
]
}
Retrieve all available notification types along with your team-specific customizations. If you haven’t customized a notification type yet, defaults are returned.
Response
Always
true for successful responsesArray of notification setting objects.
Show Notification Setting Properties
Show Notification Setting Properties
Setting ID, or
null if using defaultsNotification type ID
Whether this notification is enabled
Custom email subject line
Custom email body content
curl -X GET "https://api.affonso.io/v1/program/notifications" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "ns_abc123",
"email_type_id": "nt_welcome",
"is_active": true,
"custom_subject": "Welcome to our affiliate program!",
"custom_body": null,
"type": {
"name": "Welcome Email",
"description": "Sent when an affiliate is approved",
"icon": "mail",
"is_customizable": true,
"target_audience": "affiliate"
}
},
{
"id": null,
"email_type_id": "nt_payout",
"is_active": true,
"custom_subject": null,
"custom_body": null,
"type": {
"name": "Payout Notification",
"description": "Sent when a payout is processed",
"icon": "dollar-sign",
"is_customizable": true,
"target_audience": "affiliate"
}
}
]
}
Was this page helpful?
⌘I
